com.fasterxml.jackson.module.afterburner

## Class AfterburnerModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.databind.module.SimpleModule
    - - com.fasterxml.jackson.module.afterburner.AfterburnerModule

All Implemented Interfaces:
  com.fasterxml.jackson.core.Versioned, Serializable

    public class AfterburnerModule
    extends com.fasterxml.jackson.databind.module.SimpleModule

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

`com.fasterxml.jackson.databind.Module.SetupContext`

### Field Summary

Fields
`protected boolean` `_cfgUseOptimizedBeanDeserializer` Flag to indicate whether we should use an optimized sub-class of `BeanDeserializer` or not.
`protected boolean` `_cfgUseValueClassLoader` Flag to indicate whether we will try to load generated classes using same class loader as one that loaded class being accessed or not.

### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_abstractTypes, _deserializerModifier, _deserializers, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

### Constructor Summary

Constructors
Constructor and Description
`AfterburnerModule()`

### Method Summary

Methods
`void` `setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`
`AfterburnerModule` `setUseOptimizedBeanDeserializer(boolean state)`
`AfterburnerModule` `setUseValueClassLoader(boolean state)` Flag to indicate whether we will try to load generated classes using same class loader as one that loaded class being accessed or not.

### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setValueInstantiators, version`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _cfgUseValueClassLoader

    protected boolean _cfgUseValueClassLoader

Flag to indicate whether we will try to load generated classes using same class loader as one that loaded class being accessed or not. If not, we will use class loader that loaded this module. Benefit of using value class loader is that 'protected' and 'package access' properties can be accessed; otherwise only 'public' properties can be accessed.

By default this feature is enabled.

#### _cfgUseOptimizedBeanDeserializer

    protected boolean _cfgUseOptimizedBeanDeserializer

Flag to indicate whether we should use an optimized sub-class of `BeanDeserializer` or not. Use of optimized version should further improve performance, but it can be disabled in case it causes issues.

By default this feature is enabled.

### Constructor Detail

#### AfterburnerModule

    public AfterburnerModule()

### Method Detail

#### setupModule

    public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

Overrides:
  `setupModule` in class `com.fasterxml.jackson.databind.module.SimpleModule`

#### setUseValueClassLoader

    public AfterburnerModule setUseValueClassLoader(boolean state)

Flag to indicate whether we will try to load generated classes using same class loader as one that loaded class being accessed or not. If not, we will use class loader that loaded this module. Benefit of using value class loader is that 'protected' and 'package access' properties can be accessed; otherwise only 'public' properties can be accessed.

By default this feature is enabled.

#### setUseOptimizedBeanDeserializer

    public AfterburnerModule setUseOptimizedBeanDeserializer(boolean state)